> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-findings-decoys-followup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Client

> DeleteClient deletes one App-owned OAuth client and its sign-in binding.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/apps/{app_id}/sso/applications/{id}/clients/delete
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/sso/applications/{id}/clients/delete:
    post:
      tags:
        - SSO
      summary: Delete Client
      description: DeleteClient deletes one App-owned OAuth client and its sign-in binding.
      operationId: c1.api.sso.v1.SSOApplicationService.DeleteClient
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: Application that owns the client.
            type: string
        - in: path
          name: id
          required: true
          schema:
            description: SSO application that governs the client.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.sso.v1.SSOApplicationServiceDeleteClientRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.sso.v1.SSOApplicationServiceDeleteClientResponse
          description: SSOApplicationServiceDeleteClientResponse confirms deletion.
components:
  schemas:
    c1.api.sso.v1.SSOApplicationServiceDeleteClientRequestInput:
      description: >-
        SSOApplicationServiceDeleteClientRequest deletes one App-owned OAuth
        client.
      properties:
        clientId:
          description: Generated client ID to delete.
          type: string
      required:
        - clientId
      title: Sso Application Service Delete Client Request
      type: object
      x-speakeasy-name-override: SSOApplicationServiceDeleteClientRequest
    c1.api.sso.v1.SSOApplicationServiceDeleteClientResponse:
      description: SSOApplicationServiceDeleteClientResponse confirms deletion.
      title: Sso Application Service Delete Client Response
      type: object
      x-speakeasy-name-override: SSOApplicationServiceDeleteClientResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````